Skip to main content
GET
/
organizations
/
{organizationID}
/
projects
/
{projectID}
/
limits
Get project resource limits
curl --request GET \
  --url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/limits \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/limits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/limits', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "maxDescriptionLength": 26,
  "maxBranchesPerProject": 123,
  "maxInstancesPerBranch": 2,
  "minInstancesPerBranch": 2,
  "maxAllowedInstanceType": 2,
  "maxBranchesPerHour": 2
}
{
  "message": "<string>",
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization

Pattern: [a-zA-Z0-9_-~:]+
projectID
string
required

Unique identifier of the project to get limits for

Response

Effective resource limits for the project

Full set of resource limits applicable to a project and its branches

maxDescriptionLength
integer
required

Maximum character length allowed for project descriptions

Required range: x >= 25
maxBranchesPerProject
integer
required

Maximum number of branches allowed per project

maxInstancesPerBranch
integer
required

Maximum number of database instances allowed per branch

Required range: x >= 1
minInstancesPerBranch
integer
required

Minimum number of database instances required per branch

Required range: x >= 1
maxAllowedInstanceType
integer
required

Maximum VCPUs (in millicores) allowed per instance; instance types with a higher VCPUsRequest are unavailable

Required range: x >= 1
maxBranchesPerHour
integer
required

Maximum number of branches that can be created in a rolling one-hour window

Required range: x >= 1